import 'package:config_widget/config_widget.dart';
import 'package:flutter/cupertino.dart';

abstract class ConfigGroupItem extends StatelessWidget {
  const ConfigGroupItem({Key key, this.children}) : super(key: key);
  final List<ConfigAdapter> children;

  bool get isDisplay {
    return children.any((e) => ConfigManager().getConfigType(e.configKey) == ConfigType.noDisplay);
  }
}
